Bug 386401 - k9copy crash when opening dvd
k9copy crash when opening dvd
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 02:35 EST by Guido Ludwig
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-25 23:27:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Guido Ludwig 2007-11-16 02:35:03 EST
Description of problem:
k9copy crash when opening a dvd or video_ts folder on hardrive


Version-Release number of selected component (if applicable):
k9copy-1.1.3.2

How reproducible:
always


Steps to Reproduce:
1. start k9copy 
2. open a dvd or a video_ts folder on harddrive
  
Actual results:
crashed and caused the signal 6 (SIGABRT)

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
...
[Thread debugging using libthread_db enabled]
[New Thread -1208961328 (LWP 20249)]
(no debugging symbols found)
...
[KCrash handler]
#6 0x00110402 in __kernel_vsyscall ()
#7 0x00960690 in raise () from /lib/libc.so.6
#8 0x00961f91 in abort () from /lib/libc.so.6
#9 0x009989eb in __libc_message () from /lib/libc.so.6
#10 0x00a20b58 in __fortify_fail () from /lib/libc.so.6
#11 0x00a1f200 in __chk_fail () from /lib/libc.so.6
#12 0x00a1e918 in _IO_str_chk_overflow () from /lib/libc.so.6
#13 0x0099d793 in __overflow () from /lib/libc.so.6
#14 0x00977673 in vfprintf () from /lib/libc.so.6
#15 0x00a1e9cd in __vsprintf_chk () from /lib/libc.so.6
#16 0x00a1e900 in __sprintf_chk () from /lib/libc.so.6
#17 0x080be41f in ?? ()
#18 0x0806d817 in ?? ()
#19 0x080681b6 in ?? ()
#20 0x08089761 in ?? ()
#21 0x080678f0 in ?? ()
#22 0x06b79b8a in QObject::activate_signal ()
from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x06b7a57d in QObject::activate_signal ()
from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#24 0x06f0f42c in QButton::clicked () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#25 0x06c1e4cd in QButton::mouseReleaseEvent ()
from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#26 0x06bb6205 in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#27 0x06b1038b in QApplication::internalNotify ()
from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#28 0x06b11b39 in QApplication::notify ()
from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#29 0x00607022 in KApplication::notify () from /usr/lib/libkdecore.so.4
#30 0x06aa7266 in QETWidget::translateMouseEvent ()
from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#31 0x06aa6036 in QApplication::x11ProcessEvent ()
from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#32 0x06ab7cbb in QEventLoop::processEvents ()
from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#33 0x06b29c60 in QEventLoop::enterLoop ()
from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#34 0x06b29b16 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#35 0x06b0ffcf in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#36 0x08086d08 in ?? ()
#37 0x0094d390 in __libc_start_main () from /lib/libc.so.6
#38 0x080600b1 in QWidget::setUpdatesEnabled () 

Expected results:


Additional info:
downgraded to k9copy 1.1.3.1 found here :
http://www.sagui.org/~gustavo/blog/static/k9copy-rpm.html 
this version works
Comment 1 Andrew Wheeler 2007-11-25 12:49:25 EST
Same problem have attached backtrace

(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1208654128 (LWP 3523)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[KCrash handler]
#6  0x00110402 in __kernel_vsyscall ()
#7  0x00593690 in raise () from /lib/libc.so.6
#8  0x00594f91 in abort () from /lib/libc.so.6
#9  0x005cb9eb in __libc_message () from /lib/libc.so.6
#10 0x00653b58 in __fortify_fail () from /lib/libc.so.6
#11 0x00652200 in __chk_fail () from /lib/libc.so.6
#12 0x00651918 in _IO_str_chk_overflow () from /lib/libc.so.6
#13 0x005cfe8d in _IO_default_xsputn_internal () from /lib/libc.so.6
#14 0x005a7624 in vfprintf () from /lib/libc.so.6
#15 0x006519cd in __vsprintf_chk () from /lib/libc.so.6
#16 0x00651900 in __sprintf_chk () from /lib/libc.so.6
#17 0x080f2225 in ?? ()
#18 0x08073fc7 in ?? ()
#19 0x0806ecd6 in ?? ()
#20 0x08090d01 in ?? ()
#21 0x0806e250 in ?? ()
#22 0x022b5b8a in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#23 0x022b657d in QObject::activate_signal ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#24 0x0264b42c in QButton::clicked () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#25 0x0235a4cd in QButton::mouseReleaseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#26 0x022f2205 in QWidget::event () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#27 0x0224c38b in QApplication::internalNotify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#28 0x0224db39 in QApplication::notify ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#29 0x002c5022 in KApplication::notify () from /usr/lib/libkdecore.so.4
#30 0x021e3266 in QETWidget::translateMouseEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#31 0x021e2036 in QApplication::x11ProcessEvent ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#32 0x021f3cbb in QEventLoop::processEvents ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#33 0x02265c60 in QEventLoop::enterLoop ()
   from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#34 0x02265b16 in QEventLoop::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#35 0x0224bfcf in QApplication::exec () from /usr/lib/qt-3.3/lib/libqt-mt.so.3
#36 0x0808e268 in ?? ()
#37 0x00580390 in __libc_start_main () from /lib/libc.so.6
#38 0x08065911 in QWidget::setUpdatesEnabled ()
Comment 2 Rex Dieter 2007-11-25 23:27:04 EST
k9copy isn't in fedora (so, CLOSING->NOTAUBG)

I'd suggest you report problems of this nature to k9copy's (upstream)
developers, http://k9copy.sourceforge.net/ , I'm sure they have some sort of
contact and/or bug reporting mechanism.

Note You need to log in before you can comment on or make changes to this bug.